Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/AbstractWekaEvaluation.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/AbstractWekaEvaluation.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/AbstractWekaEvaluation.java	(revision 135)
@@ -36,5 +36,5 @@
  * <ul>
  * <li>succHe: Success with recall>0.7, precision>0.5</li>
- * <li>succZi: Success with recall>0.7, precision>0.7</li>
+ * <li>succZi: Success with recall>=0.75, precision>=0.7, and error<=0.25</li>
  * <li>succG75: Success with gscore>0.75</li>
  * <li>succG60: Success with gscore>0.6</li>
@@ -66,6 +66,12 @@
     private PrintWriter output = new PrintWriter(System.out);
 
+    /**
+     * flag that defines if the output is the system out
+     */
     private boolean outputIsSystemOut = true;
-    
+
+    /**
+     * name of the configuration
+     */
     private String configurationName = "default";
 
@@ -92,5 +98,5 @@
                       Instances traindata,
                       List<ITrainer> trainers,
-                      List<Double> efforts, 
+                      List<Double> efforts,
                       boolean writeHeader,
                       List<IResultStorage> storages)
@@ -99,9 +105,11 @@
         final List<ExperimentResult> experimentResults = new LinkedList<>();
         String productName = testdata.relationName();
-        
+
         for (ITrainer trainer : trainers) {
             if (trainer instanceof IWekaCompatibleTrainer) {
                 classifiers.add(((IWekaCompatibleTrainer) trainer).getClassifier());
-                experimentResults.add(new ExperimentResult(configurationName, productName, ((IWekaCompatibleTrainer) trainer).getName()));
+                experimentResults
+                    .add(new ExperimentResult(configurationName, productName,
+                                              ((IWekaCompatibleTrainer) trainer).getName()));
             }
             else {
@@ -153,12 +161,12 @@
             double aucec = calculateReviewEffort(testdata, classifier, efforts);
             double succHe = eval.recall(1) >= 0.7 && eval.precision(1) >= 0.5 ? 1.0 : 0.0;
-            double succZi = eval.recall(1) >= 0.7 && eval.precision(1) >= 0.7 ? 1.0 : 0.0;
+            double succZi = eval.recall(1) >= 0.75 && eval.precision(1) >= 0.75 && eval.errorRate()<=0.25 ? 1.0 : 0.0;
             double succG75 = gmeasure > 0.75 ? 1.0 : 0.0;
             double succG60 = gmeasure > 0.6 ? 1.0 : 0.0;
-            
+
             output.append("," + succHe);
             output.append("," + succZi);
             output.append("," + succG75);
-            output.append("," + succG60);            
+            output.append("," + succG60);
             output.append("," + eval.errorRate());
             output.append("," + eval.recall(1));
@@ -177,12 +185,8 @@
             output.append("," + eval.numTrueNegatives(1));
             output.append("," + eval.numFalsePositives(1));
-            
+
             ExperimentResult result = resultIter.next();
             result.setSizeTestData(testdata.numInstances());
             result.setSizeTrainingData(traindata.numInstances());
-            result.setSuccHe(succHe);
-            result.setSuccZi(succZi);
-            result.setSuccG75(succG75);
-            result.setSuccG60(succG60);
             result.setError(eval.errorRate());
             result.setRecall(eval.recall(1));
@@ -201,5 +205,5 @@
             result.setTn(eval.numTrueNegatives(1));
             result.setFp(eval.numFalsePositives(1));
-            for( IResultStorage storage : storages ) {
+            for (IResultStorage storage : storages) {
                 storage.addResult(result);
             }
@@ -209,10 +213,26 @@
         output.flush();
     }
-    
-    private double calculateReviewEffort(Instances testdata, Classifier classifier, List<Double> efforts) {
-        if( efforts==null ) {
+
+    /**
+     * <p>
+     * Calculates the effort. TODO: IMPLEMENTATION BUGGY! MUST BE FIXED!
+     * </p>
+     *
+     * @param testdata
+     *            the test data
+     * @param classifier
+     *            the classifier
+     * @param efforts
+     *            the effort information for each instance in the test data
+     * @return
+     */
+    private double calculateReviewEffort(Instances testdata,
+                                         Classifier classifier,
+                                         List<Double> efforts)
+    {
+        if (efforts == null) {
             return 0;
         }
-        
+
         final List<Integer> bugPredicted = new ArrayList<>();
         final List<Integer> nobugPredicted = new ArrayList<>();
@@ -229,6 +249,5 @@
             }
             catch (Exception e) {
-                throw new RuntimeException(
-                                           "unexpected error during the evaluation of the review effort",
+                throw new RuntimeException("unexpected error during the evaluation of the review effort",
                                            e);
             }
@@ -297,4 +316,15 @@
     }
 
+    /**
+     * <p>
+     * Calculates effort. Deprecated. Do not use!
+     * </p>
+     *
+     * @param testdata
+     *            the test data
+     * @param classifier
+     *            the classifier
+     * @return
+     */
     @SuppressWarnings("unused")
     @Deprecated
@@ -315,5 +345,5 @@
             loc = testdata.attribute("CountLineCodeExe");
         }
-        if( loc == null ) {
+        if (loc == null) {
             return 0.0;
         }
@@ -333,6 +363,5 @@
             }
             catch (Exception e) {
-                throw new RuntimeException(
-                                           "unexpected error during the evaluation of the review effort",
+                throw new RuntimeException("unexpected error during the evaluation of the review effort",
                                            e);
             }
@@ -419,5 +448,5 @@
                 output = new PrintWriter(new FileOutputStream(parameters));
                 outputIsSystemOut = false;
-                int filenameStart = parameters.lastIndexOf('/')+1;
+                int filenameStart = parameters.lastIndexOf('/') + 1;
                 int filenameEnd = parameters.lastIndexOf('.');
                 configurationName = parameters.substring(filenameStart, filenameEnd);
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/CVWekaEvaluation.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/CVWekaEvaluation.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/CVWekaEvaluation.java	(revision 135)
@@ -31,5 +31,5 @@
 public class CVWekaEvaluation extends AbstractWekaEvaluation {
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.eval.AbstractWekaEvaluation#createEvaluator(weka.core.Instances,
      *      weka.classifiers.Classifier)
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/ExperimentResult.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/ExperimentResult.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/ExperimentResult.java	(revision 135)
@@ -1,10 +1,131 @@
+
 package de.ugoe.cs.cpdp.eval;
 
+/**
+ * <p>
+ * Data class to store experiment results
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class ExperimentResult {
 
+    /**
+     * configuration name of the experiment
+     */
     private final String configurationName;
+
+    /**
+     * name of the target product
+     */
     private final String productName;
+
+    /**
+     * name of the classifier used
+     */
     private final String classifier;
-    
+
+    /**
+     * number of instances of the target product
+     */
+    int sizeTestData;
+
+    /**
+     * number of instances of the training data
+     */
+    int sizeTrainingData;
+
+    /**
+     * error of the prediction
+     */
+    double error = Double.NaN;
+
+    /**
+     * recall of the prediction
+     */
+    double recall = Double.NaN;
+
+    /**
+     * precision of the prediction
+     */
+    double precision = Double.NaN;
+
+    /**
+     * F1 score of the prediction
+     */
+    double fscore = Double.NaN;
+
+    /**
+     * G score of the prediction
+     */
+    double gscore = Double.NaN;
+
+    /**
+     * Matthews correlation coefficient of the prediction
+     */
+    double mcc = Double.NaN;
+
+    /**
+     * Area under the curve of the prediction
+     */
+    double auc = Double.NaN;
+
+    /**
+     * Effort of the prediction
+     */
+    double aucec = Double.NaN;
+
+    /**
+     * True positive rate of the prediction
+     */
+    double tpr = Double.NaN;
+
+    /**
+     * True negative rate of the prediction
+     */
+    double tnr = Double.NaN;
+
+    /**
+     * false positive rate of the prediction
+     */
+    double fpr = Double.NaN;
+
+    /**
+     * false negative rate of the prediction
+     */
+    double fnr = Double.NaN;
+
+    /**
+     * number of true positives
+     */
+    double tp = Double.NaN;
+
+    /**
+     * number of false negatives
+     */
+    double fn = Double.NaN;
+
+    /**
+     * number of true negatives
+     */
+    double tn = Double.NaN;
+
+    /**
+     * number of false positives
+     */
+    double fp = Double.NaN;
+
+    /**
+     * <p>
+     * Constructor. Creates a new ExperimentResult.
+     * </p>
+     *
+     * @param configurationName
+     *            the configuration name
+     * @param productName
+     *            the product name
+     * @param classifier
+     *            the classifier name
+     */
     public ExperimentResult(String configurationName, String productName, String classifier) {
         this.configurationName = configurationName;
@@ -12,166 +133,447 @@
         this.classifier = classifier;
     }
-    
-    int sizeTestData;
-    int sizeTrainingData;
-    double succHe = Double.NaN;
-    double succZi = Double.NaN;
-    double succG75 = Double.NaN;
-    double succG60 = Double.NaN;
-    double error = Double.NaN;
-    double recall = Double.NaN;
-    double precision = Double.NaN;
-    double fscore = Double.NaN;
-    double gscore = Double.NaN;
-    double mcc = Double.NaN;
-    double auc = Double.NaN;
-    double aucec = Double.NaN;
-    double tpr = Double.NaN;
-    double tnr = Double.NaN;
-    double fpr = Double.NaN;
-    double fnr = Double.NaN;
-    double tp = Double.NaN;
-    double fn = Double.NaN;
-    double tn = Double.NaN;
-    double fp = Double.NaN;
-
+
+    /**
+     * <p>
+     * returns the configuration name
+     * </p>
+     *
+     * @return the configuration name
+     */
     public String getConfigurationName() {
         return configurationName;
     }
+
+    /**
+     * <p>
+     * returns the product name
+     * </p>
+     *
+     * @return the product name
+     */
     public String getProductName() {
         return productName;
     }
+
+    /**
+     * <p>
+     * returns the classifier name
+     * </p>
+     *
+     * @return the classifier name
+     */
     public String getClassifier() {
         return classifier;
     }
+
+    /**
+     * <p>
+     * returns the number of instances of the target product
+     * </p>
+     *
+     * @return number of instances
+     */
     public int getSizeTestData() {
         return sizeTestData;
     }
+
+    /**
+     * <p>
+     * sets the number of instances of the target product
+     * </p>
+     *
+     * @param sizeTestData
+     *            number of instances
+     */
     public void setSizeTestData(int sizeTestData) {
         this.sizeTestData = sizeTestData;
     }
+
+    /**
+     * <p>
+     * returns the number of instances of the training data
+     * </p>
+     *
+     * @return number of instances
+     */
     public int getSizeTrainingData() {
         return sizeTrainingData;
     }
+
+    /**
+     * <p>
+     * sets the number of instances of the training data
+     * </p>
+     *
+     * @param sizeTrainingData
+     *            number of instances
+     */
     public void setSizeTrainingData(int sizeTrainingData) {
         this.sizeTrainingData = sizeTrainingData;
     }
-    public double getSuccHe() {
-        return succHe;
-    }
-    public void setSuccHe(double succHe) {
-        this.succHe = succHe;
-    }
-    public double getSuccZi() {
-        return succZi;
-    }
-    public void setSuccZi(double succZi) {
-        this.succZi = succZi;
-    }
-    public double getSuccG75() {
-        return succG75;
-    }
-    public void setSuccG75(double succG75) {
-        this.succG75 = succG75;
-    }
-    public double getSuccG60() {
-        return succG60;
-    }
-    public void setSuccG60(double succG60) {
-        this.succG60 = succG60;
-    }
+
+    /**
+     * <p>
+     * returns the error
+     * </p>
+     *
+     * @return the error
+     */
     public double getError() {
         return error;
     }
+
+    /**
+     * <p>
+     * sets the error
+     * </p>
+     *
+     * @param error
+     *            the error
+     */
     public void setError(double error) {
         this.error = error;
     }
+
+    /**
+     * <p>
+     * returns the recall
+     * </p>
+     *
+     * @return the recall
+     */
     public double getRecall() {
         return recall;
     }
+
+    /**
+     * <p>
+     * sets the recall
+     * </p>
+     *
+     * @param recall
+     *            the recall
+     */
     public void setRecall(double recall) {
         this.recall = recall;
     }
+
+    /**
+     * <p>
+     * returns the precision
+     * </p>
+     *
+     * @return the precision
+     */
     public double getPrecision() {
         return precision;
     }
+
+    /**
+     * <p>
+     * sets the precision
+     * </p>
+     *
+     * @param precision
+     *            the precision
+     */
     public void setPrecision(double precision) {
         this.precision = precision;
     }
+
+    /**
+     * <p>
+     * returns the F1 score
+     * </p>
+     *
+     * @return the F1 score
+     */
     public double getFscore() {
         return fscore;
     }
+
+    /**
+     * <p>
+     * sets the F1 score
+     * </p>
+     *
+     * @param fscore
+     *            the F1 score
+     */
     public void setFscore(double fscore) {
         this.fscore = fscore;
     }
+
+    /**
+     * <p>
+     * returns the G score
+     * </p>
+     *
+     * @return the G score
+     */
     public double getGscore() {
         return gscore;
     }
+
+    /**
+     * <p>
+     * sets the G score
+     * </p>
+     *
+     * @param gscore
+     *            the G score
+     */
     public void setGscore(double gscore) {
         this.gscore = gscore;
     }
+
+    /**
+     * <p>
+     * returns the MCC
+     * </p>
+     *
+     * @return the MCC
+     */
     public double getMcc() {
         return mcc;
     }
+
+    /**
+     * <p>
+     * sets the MCC
+     * </p>
+     *
+     * @param mcc
+     *            the MCC
+     */
     public void setMcc(double mcc) {
         this.mcc = mcc;
     }
+
+    /**
+     * <p>
+     * returns the AUC
+     * </p>
+     *
+     * @return the AUC
+     */
     public double getAuc() {
         return auc;
     }
+
+    /**
+     * <p>
+     * sets the AUC
+     * </p>
+     *
+     * @param auc
+     *            the AUC
+     */
     public void setAuc(double auc) {
         this.auc = auc;
     }
+
+    /**
+     * <p>
+     * returns the effort as AUCEC
+     * </p>
+     *
+     * @return the effort
+     */
     public double getAucec() {
         return aucec;
     }
+
+    /**
+     * <p>
+     * sets the effort as AUCEC
+     * </p>
+     *
+     * @param aucec
+     *            the effort
+     */
     public void setAucec(double aucec) {
         this.aucec = aucec;
     }
+
+    /**
+     * <p>
+     * returns the TPR
+     * </p>
+     *
+     * @return the TPR
+     */
     public double getTpr() {
         return tpr;
     }
+
+    /**
+     * <p>
+     * sets the TPR
+     * </p>
+     *
+     * @param tpr
+     *            the TPR
+     */
     public void setTpr(double tpr) {
         this.tpr = tpr;
     }
+
+    /**
+     * <p>
+     * sets the TNR
+     * </p>
+     *
+     * @return the TNR
+     */
     public double getTnr() {
         return tnr;
     }
+
+    /**
+     * <p>
+     * sets the TNR
+     * </p>
+     *
+     * @param tnr
+     *            the TNR
+     */
     public void setTnr(double tnr) {
         this.tnr = tnr;
     }
+
+    /**
+     * <p>
+     * returns the FPR
+     * </p>
+     *
+     * @return the FPR
+     */
     public double getFpr() {
         return fpr;
     }
+
+    /**
+     * <p>
+     * sets the FPR
+     * </p>
+     *
+     * @param fpr
+     *            the FPR
+     */
     public void setFpr(double fpr) {
         this.fpr = fpr;
     }
+
+    /**
+     * <p>
+     * returns the FNR
+     * </p>
+     *
+     * @return the FNR
+     */
     public double getFnr() {
         return fnr;
     }
+
+    /**
+     * <p>
+     * sets the FNR
+     * </p>
+     *
+     * @param fnr
+     *            the FNR
+     */
     public void setFnr(double fnr) {
         this.fnr = fnr;
     }
+
+    /**
+     * <p>
+     * returns the TPs
+     * </p>
+     *
+     * @return the TPs
+     */
     public double getTp() {
         return tp;
     }
+
+    /**
+     * <p>
+     * sets the TPs
+     * </p>
+     *
+     * @param tp
+     *            the TPs
+     */
     public void setTp(double tp) {
         this.tp = tp;
     }
+
+    /**
+     * <p>
+     * returns the FNs
+     * </p>
+     *
+     * @return the FNs
+     */
     public double getFn() {
         return fn;
     }
+
+    /**
+     * <p>
+     * sets the FNs
+     * </p>
+     *
+     * @param fn
+     */
     public void setFn(double fn) {
         this.fn = fn;
     }
+
+    /**
+     * <p>
+     * returns the TNs
+     * </p>
+     *
+     * @return the TNs
+     */
     public double getTn() {
         return tn;
     }
+
+    /**
+     * <p>
+     * sets the TNs
+     * </p>
+     *
+     * @param tn
+     *            the TNs
+     */
     public void setTn(double tn) {
         this.tn = tn;
     }
+
+    /**
+     * <p>
+     * returns the FPs
+     * </p>
+     *
+     * @return the FPs
+     */
     public double getFp() {
         return fp;
     }
+
+    /**
+     * <p>
+     * sets the FPs
+     * </p>
+     *
+     * @param fp
+     *            the FPs
+     */
     public void setFp(double fp) {
         this.fp = fp;
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/MySQLResultStorage.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/MySQLResultStorage.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/MySQLResultStorage.java	(revision 135)
@@ -22,5 +22,4 @@
 import java.util.Properties;
 
-
 import com.mysql.jdbc.jdbc2.optional.MysqlDataSource;
 
@@ -37,9 +36,4 @@
 public class MySQLResultStorage implements IResultStorage {
 
-    /**
-     * Connection to the database
-     */
-    //private Connection con = null;
-    
     /**
      * Connection pool for the data base.
@@ -121,8 +115,4 @@
         sql.append(result.getSizeTestData() + ",");
         sql.append(result.getSizeTrainingData() + ",");
-        sql.append(result.getSuccHe() + ",");
-        sql.append(result.getSuccZi() + ",");
-        sql.append(result.getSuccG75() + ",");
-        sql.append(result.getSuccG60() + ",");
         sql.append(result.getError() + ",");
         sql.append(result.getRecall() + ",");
@@ -164,5 +154,6 @@
     public int containsResult(String experimentName, String productName, String classifierName) {
         String sql = "SELECT COUNT(*) as cnt FROM crosspare.results WHERE configurationName=\'" +
-            experimentName + "\' AND productName=\'" + productName + "\' AND classifier=\'" + classifierName + "\';";
+            experimentName + "\' AND productName=\'" + productName + "\' AND classifier=\'" +
+            classifierName + "\';";
         Statement stmt;
         try {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/NormalWekaEvaluation.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/NormalWekaEvaluation.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/eval/NormalWekaEvaluation.java	(revision 135)
@@ -27,7 +27,7 @@
 public class NormalWekaEvaluation extends AbstractWekaEvaluation {
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.eval.AbstractWekaEvaluation#createEvaluator(weka.core.Instances,
-     *      weka.classifiers.Classifier)
+     * weka.classifiers.Classifier)
      */
     @Override
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/AbstractCrossProjectExperiment.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/AbstractCrossProjectExperiment.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/AbstractCrossProjectExperiment.java	(revision 135)
@@ -155,5 +155,5 @@
             }
         }
-        
+
         // sort versions
         Collections.sort(versions);
@@ -342,9 +342,18 @@
     }
 
+    /**
+     * <p>
+     * helper function that checks if the results are already in the data store
+     * </p>
+     *
+     * @param version
+     *            version for which the results are checked
+     * @return
+     */
     private int resultsAvailable(SoftwareVersion version) {
         if (config.getResultStorages().isEmpty()) {
             return 0;
         }
-        
+
         List<ITrainer> allTrainers = new LinkedList<>();
         for (ISetWiseTrainingStrategy setwiseTrainer : config.getSetWiseTrainers()) {
@@ -362,10 +371,11 @@
             allTrainers.add(trainer);
         }
-        
+
         int available = Integer.MAX_VALUE;
         for (IResultStorage storage : config.getResultStorages()) {
             String classifierName = ((IWekaCompatibleTrainer) allTrainers.get(0)).getName();
-            int curAvailable = storage.containsResult(config.getExperimentName(), version.getVersion(), classifierName);
-            if( curAvailable<available ) {
+            int curAvailable = storage.containsResult(config.getExperimentName(),
+                                                      version.getVersion(), classifierName);
+            if (curAvailable < available) {
                 available = curAvailable;
             }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/ClassifierCreationExperiment.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/ClassifierCreationExperiment.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/ClassifierCreationExperiment.java	(revision 135)
@@ -107,24 +107,29 @@
 
             for (IProcessesingStrategy processor : config.getPreProcessors()) {
-                Console.traceln(Level.FINE, String
-                    .format("[%s] [%02d/%02d] %s: applying preprocessor %s",
-                            config.getExperimentName(), versionCount, versions.size(),
-                            testVersion.getProject(), processor.getClass().getName()));
+                Console.traceln(Level.FINE,
+                                String.format("[%s] [%02d/%02d] %s: applying preprocessor %s",
+                                              config.getExperimentName(), versionCount,
+                                              versions.size(), testVersion.getProject(),
+                                              processor.getClass().getName()));
                 processor.apply(testdata, traindata);
             }
 
             for (IPointWiseDataselectionStrategy dataselector : config.getPointWiseSelectors()) {
-                Console.traceln(Level.FINE, String
-                    .format("[%s] [%02d/%02d] %s: applying pointwise selection %s",
-                            config.getExperimentName(), versionCount, versions.size(),
-                            testVersion.getProject(), dataselector.getClass().getName()));
+                Console
+                    .traceln(Level.FINE,
+                             String.format("[%s] [%02d/%02d] %s: applying pointwise selection %s",
+                                           config.getExperimentName(), versionCount,
+                                           versions.size(), testVersion.getProject(),
+                                           dataselector.getClass().getName()));
                 traindata = dataselector.apply(testdata, traindata);
             }
 
             for (IProcessesingStrategy processor : config.getPostProcessors()) {
-                Console.traceln(Level.FINE, String
-                    .format("[%s] [%02d/%02d] %s: applying setwise postprocessor %s",
-                            config.getExperimentName(), versionCount, versions.size(),
-                            testVersion.getProject(), processor.getClass().getName()));
+                Console
+                    .traceln(Level.FINE,
+                             String.format("[%s] [%02d/%02d] %s: applying setwise postprocessor %s",
+                                           config.getExperimentName(), versionCount,
+                                           versions.size(), testVersion.getProject(),
+                                           processor.getClass().getName()));
                 processor.apply(testdata, traindata);
             }
@@ -148,6 +153,5 @@
                     try {
                         weka.core.SerializationHelper.write(resultsDir.getAbsolutePath() + "/" +
-                                                                trainer.getName() + "-" +
-                                                                testVersion.getProject(),
+                            trainer.getName() + "-" + testVersion.getProject(),
                                                             trainerToSave.getClassifier());
                     }
@@ -160,8 +164,9 @@
 
             for (IEvaluationStrategy evaluator : config.getEvaluators()) {
-                Console.traceln(Level.FINE, String
-                    .format("[%s] [%02d/%02d] %s: applying evaluator %s",
-                            config.getExperimentName(), versionCount, versions.size(),
-                            testVersion.getProject(), evaluator.getClass().getName()));
+                Console.traceln(Level.FINE,
+                                String.format("[%s] [%02d/%02d] %s: applying evaluator %s",
+                                              config.getExperimentName(), versionCount,
+                                              versions.size(), testVersion.getProject(),
+                                              evaluator.getClass().getName()));
 
                 if (writeHeader) {
@@ -169,5 +174,6 @@
                         config.getExperimentName() + ".csv");
                 }
-                evaluator.apply(testdata, traindata, allTrainers, efforts, writeHeader, config.getResultStorages());
+                evaluator.apply(testdata, traindata, allTrainers, efforts, writeHeader,
+                                config.getResultStorages());
                 writeHeader = false;
             }
@@ -175,7 +181,8 @@
             versionCount++;
 
-            Console.traceln(Level.INFO, String.format("[%s] [%02d/%02d] %s: finished",
-                                                      config.getExperimentName(), versionCount,
-                                                      versions.size(), testVersion.getProject()));
+            Console.traceln(Level.INFO,
+                            String.format("[%s] [%02d/%02d] %s: finished",
+                                          config.getExperimentName(), versionCount, versions.size(),
+                                          testVersion.getProject()));
 
         }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/CrossValidationExperiment.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/CrossValidationExperiment.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/execution/CrossValidationExperiment.java	(revision 135)
@@ -138,5 +138,5 @@
             }
         }
-        
+
         numTrainers += config.getSetWiseTrainers().size();
         numTrainers += config.getSetWiseTestdataAwareTrainers().size();
@@ -154,5 +154,5 @@
                                               testVersionCount, testVersion.getVersion()));
                 int numResultsAvailable = resultsAvailable(testVersion);
-                if (numResultsAvailable >= numTrainers*config.getRepetitions()) {
+                if (numResultsAvailable >= numTrainers * config.getRepetitions()) {
                     Console.traceln(Level.INFO,
                                     String.format(
@@ -167,5 +167,5 @@
                 Instances testdata = testVersion.getInstances();
                 List<Double> efforts = testVersion.getEfforts();
-                
+
                 for (ITrainingStrategy trainer : config.getTrainers()) {
                     Console.traceln(Level.FINE,
@@ -176,5 +176,5 @@
                     trainer.apply(testdata);
                 }
-                
+
                 File resultsDir = new File(config.getResultsPath());
                 if (!resultsDir.exists()) {
@@ -236,9 +236,18 @@
     }
 
+    /**
+     * <p>
+     * helper function that checks if the results are already in the data store
+     * </p>
+     *
+     * @param version
+     *            version for which the results are checked
+     * @return
+     */
     private int resultsAvailable(SoftwareVersion version) {
         if (config.getResultStorages().isEmpty()) {
             return 0;
         }
-        
+
         List<ITrainer> allTrainers = new LinkedList<>();
         for (ISetWiseTrainingStrategy setwiseTrainer : config.getSetWiseTrainers()) {
@@ -256,10 +265,11 @@
             allTrainers.add(trainer);
         }
-        
+
         int available = Integer.MAX_VALUE;
         for (IResultStorage storage : config.getResultStorages()) {
             String classifierName = ((IWekaCompatibleTrainer) allTrainers.get(0)).getName();
-            int curAvailable = storage.containsResult(config.getExperimentName(), version.getVersion(), classifierName);
-            if( curAvailable<available ) {
+            int curAvailable = storage.containsResult(config.getExperimentName(),
+                                                      version.getVersion(), classifierName);
+            if (curAvailable < available) {
                 available = curAvailable;
             }
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeFolderLoader.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeFolderLoader.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/loader/AUDIChangeFolderLoader.java	(revision 135)
@@ -15,4 +15,13 @@
 package de.ugoe.cs.cpdp.loader;
 
+/**
+ * <p>
+ * Loads data from the automative defect data set from Audi Electronic Ventures donated by Altinger
+ * et al. at the MSR 2015. This loader contains the changes per commit, i.e., it is for JIT defect
+ * prediction.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class AUDIChangeFolderLoader extends AbstractFolderLoader {
 
